Summary:	monitrc file for monitoring Apache web server
Summary(pl.UTF-8):	Plik monitrc do monitorowania serwera WWW Apache
Name:		monit-rc-apache
Version:	1.2
Release:	1
License:	GPL
Group:		Applications/System
Source0:	apache.monitrc
Source1:	apache.cron
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,postun):	monit
Requires:	apache-base >= 2.2.3-8
Requires:	monit
Suggests:	crondaemon
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
monitrc file for monitoring Apache web server.

%description -l pl.UTF-8
Plik monitrc do monitorowania serwera WWW Apache.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/monit,/etc/cron.d}

cp -p %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/monit/httpd.monitrc
cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q monit restart

%postun
%service -q monit restart

%triggerpostun -- apache < 2.2.0
# rename monitrc to be service name like other files
if [ -f /etc/monit/apache.monitrc.rpmsave ]; then
	mv -f /etc/monit/httpd.monitrc{,.rpmnew}
	mv -f /etc/monit/{apache.monitrc.rpmsave,httpd.monitrc}
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/monit/*.monitrc
%config(noreplace) %verify(not md5 mtime size) /etc/cron.d/%{name}
%changelog
* Mon Sep 24 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/monit-rc-apache.git;a=log;h=AC-branch

* Mon Sep 24 2012 Elan Ruusamäe <glen@delfi.ee> 96ed6c3
- add sample cron job to add apache back to monitoring state in case it forgotten

* Mon Sep 24 2012 Elan Ruusamäe <glen@delfi.ee> 814001a
one more revert for 8fa4e4656

* Mon Jan 30 2012 Elan Ruusamäe <glen@pld-linux.org> 9b871be
- release 3

* Mon Jan 30 2012 Elan Ruusamäe <glen@pld-linux.org> 865d990
- but proecss is httpd

* Mon Jan 30 2012 Elan Ruusamäe <glen@pld-linux.org> 4d07a32
- revert, it's application group, not unix group

* Mon Jan 30 2012 Elan Ruusamäe <glen@pld-linux.org> 332b31b
- tabs for indenting

* Mon Jan 30 2012 Elan Ruusamäe <glen@pld-linux.org> 8fa4e46
- fix group (it's http in pld)

* Sat Dec 27 2008 Tomasz Pala <gotar@pld-linux.org> f06c131
- added %config and %verify flags

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7387188
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9c3d3d9
- converted to UTF-8

* Tue Nov 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 0c6b868
- install as httpd.monitrc

* Tue Nov 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 8417174
- setup not needed
- Requires(post,postun): monit (for restart)

* Tue Nov 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 172b9be
- separated from apache.spec

* Mon Aug 30 2004 Paweł Gołaszewski <blues@pld-linux.org> 0773be0
- monit file for apache

